Bug 119330 - /proc/acpi/event unreadable
Summary: /proc/acpi/event unreadable
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Target FC3Target FC4Target
TreeView+ depends on / blocked
 
Reported: 2004-03-29 16:10 UTC by Dan Williams
Modified: 2015-01-04 22:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-19 03:42:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Williams 2004-03-29 16:10:43 UTC
On two FC2 Test 2 machines, /proc/acpi/event is unreadable, which
means that acpid cannot start.  root cannot 'cat /proc/acpi/event',
which returns:

/bin/cat: /proc/acpi/event: Device or resource busy

and acpid also complains that it cannot open /proc/acpi/event. 
Therefore, acpid does not start.  This happens regardless of whether
SELinux is in enforcing mode or not.

Comment 1 Arjan van de Ven 2004-03-29 17:17:47 UTC
anything in dmesg re acpi ?
does it work with selinux=0 ?

Comment 2 Sahil Verma 2004-03-30 08:45:10 UTC
What is the output of ps -ef | grep `fuser /proc/acpi/event | awk
'{print $2}'`

Comment 3 Dan Williams 2004-03-30 16:35:19 UTC
selinux=0 kernel panics (attempt to kill init)  I'm attempting to yum
upgrade to find out.

kernel version is: 2.6.3-2.1.253.2.1

Comment 4 Bill Nottingham 2004-07-21 15:44:50 UTC
Does this work in current trees?

Comment 5 Dan Williams 2004-07-21 16:07:11 UTC
Its still broken.  Doing a 'sudo cat /proc/acpi/event' still returns
busy.  The fuser/awk thing also doesn't work, as fuser
/proc/acpi/event | awk ... returns nothing, hence grep has nothing to
grep.

Kernel 2.6.7-1.488smp

Comment 6 Dave Jones 2004-11-19 03:42:54 UTC
you need to talk to acpid.  the event file can only be opened exclusively, and
acpid stole it already.



Note You need to log in before you can comment on or make changes to this bug.